# WOK
TKWOK
WOKUtils

# WOKUtils_MapOfPath Class Reference

`#include <WOKUtils_MapOfPath.hxx>`

Inheritance diagram for WOKUtils_MapOfPath:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUtils_MapOfPath (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKUtils_MapOfPath & | Assign (const WOKUtils_MapOfPath &Other)
WOKUtils_MapOfPath & | operator= (const WOKUtils_MapOfPath &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKUtils_MapOfPath ()
Standard_EXPORT Standard_Boolean | Add (const Handle(WOKUtils_Path)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(WOKUtils_Path)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(WOKUtils_Path)&aKey)

## Private Member Functions

Standard_EXPORT | WOKUtils_MapOfPath (const WOKUtils_MapOfPath &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKUtils_MapOfPath::WOKUtils_MapOfPath | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKUtils_MapOfPath::~WOKUtils_MapOfPath | ( |  | ) | `[inline]`

Standard_EXPORT WOKUtils_MapOfPath::WOKUtils_MapOfPath | ( | const WOKUtils_MapOfPath & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKUtils_MapOfPath::Add | ( | const Handle(WOKUtils_Path)& | aKey | ) |

Standard_EXPORT WOKUtils_MapOfPath& WOKUtils_MapOfPath::Assign | ( | const WOKUtils_MapOfPath & | Other | ) |

Standard_EXPORT void WOKUtils_MapOfPath::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKUtils_MapOfPath::Contains | ( | const Handle(WOKUtils_Path)& | aKey | ) | const

void WOKUtils_MapOfPath::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKUtils_MapOfPath::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKUtils_MapOfPath::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

WOKUtils_MapOfPath& WOKUtils_MapOfPath::operator= | ( | const WOKUtils_MapOfPath & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean WOKUtils_MapOfPath::Remove | ( | const Handle(WOKUtils_Path)& | aKey | ) |

Standard_EXPORT void WOKUtils_MapOfPath::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- WOKUtils_MapOfPath.hxx